#include "gfx.h"
#include "input.h"

void input(void)
{
#ifdef SDL
	SDL_PollEvent(&event);
	switch(event.type)
	{
		case SDL_QUIT:
			exit(EXIT_SUCCESS);
			break;
		case SDL_KEYDOWN:
			switch (event.key.keysym.sym)
			{
				case SDLK_ESCAPE:
					exit(EXIT_SUCCESS);
					break;
				default:
					break;
			}
		default:
			break;
	}
#else
	if (kbhit())
	{
		textmode(0x3);
		free(dblbuf);
		exit(EXIT_SUCCESS);
	}
#endif
}
