/* PCX loader */

#include "gfx.h"

void showpcx(char *filename, int blend, int x, int y)
{
	FILE *pcx;
	int i=0, multicolor, color, width, height, size, movex=x, movey=y;

	pcx=fopen(filename,"rb");

	fseek(pcx, 8, SEEK_SET);
	width = fgetc(pcx)+(fgetc(pcx)<<8)+1;
	height = fgetc(pcx)+(fgetc(pcx)<<8)+1;
#ifdef BIGENDIAN
	INT_ENDIAN(width);
	INT_ENDIAN(height);
#endif
	size = width*height;
	width += x-1;

	fseek(pcx,128,SEEK_SET); /*for god's sake load that shitty pcx*/

	while(i<size)
	{
		if(movey>height) { break; }
		color=getc(pcx);
		if(color >= 192)
		{
			multicolor=color-192;
			color=getc(pcx);
			while(multicolor--)
			{
				if (movex>width) { movex=x; movey++; }
				i++;
				movex++;
				if (blend!=color) { putpixel(movex, movey, color); }
			}
		}
		else
		{
			if (movex>width) { movex=x; movey++; }
			i++;
			movex++;
			if (blend!=color) { putpixel(movex, movey, color); }
		}
	}

	fclose(pcx);
}

void palettepcx(char *filename)
{
	FILE *pcx;
	RGB paletteColor;
	int i, j;

	pcx=fopen(filename,"rb");

	fseek(pcx,-768,SEEK_END);

	for(j=0,i=0;i<768;j++,i+=3)
	{
		paletteColor.red = getc(pcx)>>2;
		paletteColor.green = getc(pcx)>>2;
		paletteColor.blue = getc(pcx)>>2;
#ifdef BIGENDIAN
		INT_ENDIAN(paletteColor.red);
		INT_ENDIAN(paletteColor.green);
		INT_ENDIAN(paletteColor.blue);
#endif
		setcolor(j, &paletteColor);
	}

	fclose(pcx);
}
