#include "gfx.h"
#include "starfield.h"

#define STARS 100
XYZ tahti[STARS], tahti2[STARS];

void starfieldInit(void)
{
	int i;
	for(i=0; i<STARS; i++)
	{
		tahti[i].x = ((rand()%31)-15.5f)/10.0f;
		tahti[i].y = ((rand()%19)-9.5)/10.0f;
		tahti[i].z = ((rand()%16)-8)/10.0f;
	}
}

void starfieldmove(void)
{
	int i, tmpxy = 320 / 4, tmpx = 320/2, tmpy = 200/2;

	startime++;
	for(i=0; i<STARS; i++)
	{
		if (tahti[i].z < -0.5) { tahti[i].x += 0.04; }
		else if (tahti[i].z < 0.1) { tahti[i].x += 0.07; }
		else { tahti[i].x += 0.1; }
		if (tahti[i].x >= 1.9f) { tahti[i].x = -2.0f; }

		putpixel((int)(tahti[i].x * tmpxy + tmpx), (int)(tahti[i].y * tmpxy + tmpy), 255);
	}
}

void starfieldroto(void)
{
	float	starangle = startime*0.0005f, starangle2 = startime*0.0002f,
			cosi, cosi2, sini, sini2, x, y, z;
	int i, tmpxy = 320 / 4, tmpx = 320/2, tmpy = 200/2;

	memcpy(tahti2, tahti, sizeof(XYZ) * STARS);
	startime += 100;
	cosi = (float)cos(starangle);
    cosi2 = (float)cos(starangle2);
	sini = (float)sin(starangle);
	sini2 = (float)sin(starangle2);

	for(i=0; i<STARS; i++)
	{
		y = tahti2[i].y * cosi - tahti2[i].z * sini;
		z = tahti2[i].y * sini + tahti2[i].z * cosi;
		tahti2[i].y = y;
		tahti2[i].z = z;
		z = tahti2[i].z * cosi2 - tahti2[i].x * sini2;
		x = tahti2[i].z * sini2 + tahti2[i].x * cosi2;
		tahti2[i].z = z;
		tahti2[i].x = x;
		putpixel((int)(tahti2[i].x * tmpxy + tmpx), (int)(tahti2[i].y * tmpxy + tmpy), 255);
	}
}

